cdac.medinfo.sdk.hl7282.hl7model.messages.observationreporting

## Class ORU_R01

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.messages.Message
  - - cdac.medinfo.sdk.hl7282.hl7model.messages.observationreporting.ORU_R01

-     public final class ORU_R01
      extends Message

  ORU_R01 - Unsolicited Observation Message (Event R01). This message is used for transmitting laboratory results to other systems.This message is designed to accommodate the laboratory processes of laboratory automation systems.

  Represents a ORU_R01 message structure (see chapter 7.3.1). This structure contains the following elements:

  0: MSH (Message Header Segment) SINGLE_COMPULSARY
  1: SFT (Software Segment) MULTIPLE_OPTIONAL
  2: UAC (User Authentication Credential) SINGLE OPTIONAL
  3: PATIENT_RESULT (a Group of segments in ORU_R01 message) MULTIPLE_COMPULSARY
  4: DSC (Continuation Pointer Segment) SINGLE_OPTIONAL
  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. These elements can be easily populated & populated values can be easily retrieved. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  Following is the step to create message
  Before that, respective Message Source and Message Recipient to be set on Message Factory.

  ORU_R01 objR01 = (ORU_R01)MessageFactory.createInstance().createSendSupportedMessage("ORU", "R01");

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPatientResultGroup(IGroup objGroup)` Adds PATIENT_RESULT GROUP to this message.
    `void` | `addPatientResultGroups(ISingleCollection<IGroup> objSingleCollection)` Adds Collection of PATIENT_RESULT GROUP to this message.
    `void` | `addSoftwareSegment(ISingleCollection<SFT> objSFTSegmentCollection)` Adds collection of Software Segment(SFT) to this message.
    `void` | `addSoftwareSegment(SFT objSFT)` Adds Software Segment(SFT) to this message.
    `DSC` | `getContinuationPointerSegment()` Retrieves Continuation Pointer(DSC) segment present in this message
    `ISingleCollection<IGroup>` | `getPatientResultGroups()` Retrieves Collection of PATIENT_RESULT GROUP present in this message.
    `ISingleCollection<SFT>` | `getSoftwareSegments()` Retrieves Collection of Software Segments(SFT) present in this message.
    `UAC` | `getUserAuthenticationCredentialSegment()` Retrieves User Authentication Credential(UAC) segment present in this message
    `void` | `setContinuationPointerSegment(DSC objDSC)` Sets value of Continuation Pointer segment for this message,overwrites if already present.
    `void` | `setUserAuthenticationCredentialSegment(UAC objUAC)` Sets value of User Authentication Credential segment for this message,overwrites if already present.

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.messages.Message

      `contains, dumpMessage, dumpMessage, getACKMode, getGroup, getGroupMap, getHeader, getMessageCode, getMessageControlID, getMessageStructure, getQueryUserParameters, getSegment, getSegmentSet, getSubscriptionType, getTriggerEvent, isQuery, isResponse, populate, removeGroup, removeSegment, removeSegment, removeSegmentAttribute, removeSegmentAttribute, removeSegmentAttribute, removeSegments, setHeader, setSubscriptionType, updateSegmentAttribute, updateSegmentAttribute, validate, writeToXML, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getSoftwareSegments

          public ISingleCollection<SFT> getSoftwareSegments()

      Retrieves Collection of Software Segments(SFT) present in this message.
      Returns:
        ISingleCollection - Collection of Software Segments(SFT) present in this message.

    - #### addSoftwareSegment

          public void addSoftwareSegment(SFT objSFT)

      Adds Software Segment(SFT) to this message.
      Parameters:
        `objSFT` - Specified Software Segment(SFT) to be added in this messageto this message.

    - #### addSoftwareSegment

          public void addSoftwareSegment(ISingleCollection<SFT> objSFTSegmentCollection)

      Adds collection of Software Segment(SFT) to this message.
      Parameters:
        `objSFTSegmentCollection` - Collection of Software Segments to add in this message

    - #### getUserAuthenticationCredentialSegment

          public UAC getUserAuthenticationCredentialSegment()

      Retrieves User Authentication Credential(UAC) segment present in this message
      Returns:
        UAC - Specified UAC Segment

    - #### setUserAuthenticationCredentialSegment

          public void setUserAuthenticationCredentialSegment(UAC objUAC)

      Sets value of User Authentication Credential segment for this message,overwrites if already present.
      Parameters:
        `objUAC` - Specified UAC Segment

    - #### getPatientResultGroups

          public ISingleCollection<IGroup> getPatientResultGroups()

      Retrieves Collection of PATIENT_RESULT GROUP present in this message.
      Returns:
        ISingleCollection - Collection of PATIENT_RESULT Group present in this Message.

    - #### addPatientResultGroups

          public void addPatientResultGroups(ISingleCollection<IGroup> objSingleCollection)

      Adds Collection of PATIENT_RESULT GROUP to this message.
      Parameters:
        `objSingleCollection` - Specified PATIENT_RESULT GROUP Collection.

    - #### addPatientResultGroup

          public void addPatientResultGroup(IGroup objGroup)

      Adds PATIENT_RESULT GROUP to this message.
      Parameters:
        `objGroup` - Specified PATIENT_RESULT GROUP.

    - #### getContinuationPointerSegment

          public DSC getContinuationPointerSegment()

      Retrieves Continuation Pointer(DSC) segment present in this message
      Returns:
        DSC - the Continuation Pointer Segment present in this message or null if unavailable.

    - #### setContinuationPointerSegment

          public void setContinuationPointerSegment(DSC objDSC)

      Sets value of Continuation Pointer segment for this message,overwrites if already present.
      Parameters:
        `objDSC` - Specified Continuation Pointer Segment